<?php

/*------------------------------------------------------------------------
# com_invoices - Invoice Manager for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 - 2016 JoomlaThat.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.joomlathat.com
# Technical Support:	Forum - http://www.joomlathat.com/support
-------------------------------------------------------------------------*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');

class TablePayment extends JTable
{
	var $id						= null;
	var $invoice_id				= null;
	var $created_datetime 		= null;	
	var $payment_id		 		= null;
	var $payment_type	 		= null;
	var $payment_status	 		= null;
	var $payment_amount	 		= null;
	var $payment_details 		= null;
	var $payment_datetime 		= null;
	var $payment_duedate 		= null;
	var $payment_description 	= null;
	
	var $ordering 	= null;
	
	var $_suffix = 'payment';
	
	function __construct( &$db ) {
		parent::__construct( '#__invoices_payments', 'id', $db );
	}

	function check()
	{
        if($this->id == 0){
			$this->created_datetime =  date('Y-m-d H:i:s') ;
			
		}
		       
        return true;
	}
}